Subject: Re: bug#50096: args-out-of-range in redisplay_internal

From: Juri Linkov <[email-masked]>
Date: Fri, 20 Aug 2021 10:09:34 +0300

tags 50096 fixed
close 50096 28.0.50
thanks

> Unfortunately, the best I could do to fix this is disable hscrolling
> in display of echo-area messages (but NOT in the minibuffer editing --
> that should still work).  Please see the latest master and tell if
> this is acceptable.  If it isn't, the only alternative I see is to
> back out the fix for bug#46718, which I suspect Clemens won't like...
> Or maybe someone braver than myself will redesign and re-implement
> with_echo_area_buffer in a way that avoids creating this situation
> with glyph matrices in the first place.

Thanks, now everything works fine.  I think mini-window doesn't need
hscrolling, because it should display the beginning of the truncated
echo-area message, not its end.